Download it now!
Bug 135211 - Crash: Run Swam Non Linear Solver with blank input
Summary: Crash: Run Swam Non Linear Solver with blank input
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:7.1.0 target:7.0.1 target:6.4.7
Keywords: haveBacktrace
Depends on:
Blocks:
 
Reported: 2020-07-28 01:17 UTC by sawakaze
Modified: 2020-07-30 15:20 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
ScreenCast (4.26 MB, video/x-matroska)
2020-07-28 01:17 UTC, sawakaze
Details
bt with debug symbols (6.46 KB, text/plain)
2020-07-28 07:47 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sawakaze 2020-07-28 01:17:02 UTC
Description:
after following step, application is crashed
detail is screen cast, please see attachment video file.
note: step 5 can be skip, but the case of skip -> test time is very long!


Steps to Reproduce:
1. open calc
2. open solver ( tool > solver)
-> popup Solver window
3. press Options
4. select Solver engine to Swarm Non-Linear Solver.
5. set Solving time to 10 
6. press OK on Options window
7. press solve
... start solve but after a short time, application crash.


Actual Results:
application crash


Expected Results:
not application crash
on "by changing cells" is blank, solver process can not be run. (i.e. popup error) 


Reproducible: Always


User Profile Reset: No



Additional Info:
I confirm this version.

Version: 7.1.0.0.alpha0+
Build ID: <buildversion>
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3
Locale: ja-JP (ja_JP.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-07-23_16:54:25
Calc: threaded
Comment 1 sawakaze 2020-07-28 01:17:33 UTC
Created attachment 163663 [details]
ScreenCast
Comment 2 Julien Nabet 2020-07-28 07:47:00 UTC
Created attachment 163668 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I got an assertion.
Comment 3 Commit Notification 2020-07-28 09:43:54 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2d150393479bd010c8758b1a1b712f8fb4ce4024

tdf#135211: fix crash Swarm Non Linear Solver with blank input

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Julien Nabet 2020-07-28 09:44:21 UTC
Cherry-pick on 7.0 branch waiting for review here:
https://gerrit.libreoffice.org/c/core/+/99546
Comment 5 Commit Notification 2020-07-28 10:53:07 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a7e92d71d72d69b887bf716f30af37105f206915

Related tdf#135211: return early if no data

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2020-07-30 09:39:56 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: 231e1e416c039d1f9724962a89cf0573a3db48a2
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Julien, thanks for fixing this issue!!
Comment 7 Commit Notification 2020-07-30 09:53:36 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/2080c4e2a4852538d3739d70e3c706ec3fc8fb28

tdf#135211: fix crash Swarm Non Linear Solver with blank input

It will be available in 7.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2020-07-30 09:55:00 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/158a3f478ff021be3c30fcc73b9ba779f4b40fbb

Related tdf#135211: return early if no data

It will be available in 7.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2020-07-30 15:18:30 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/46c7afff5beda0494d0201dd99f90b920d3c1860

tdf#135211: fix crash Swarm Non Linear Solver with blank input

It will be available in 6.4.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2020-07-30 15:20:43 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/3a320677aec00c8d769bc5a3072851cf2c825ef5

Related tdf#135211: return early if no data

It will be available in 6.4.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.